const { removeFromSet } = require('./search');

const validateVariant = (obj) => {
  if (obj.validate.scope.isGlobal || obj.validate.scope.isShared) return { skip: true };
  if (obj.fuzzyKeys.has(obj.keys.context + 1) && obj.keys.element === 4 && obj.keys.category === 5) {
    obj.keys.variant = 3;
    obj.fuzzyKeys = removeFromSet(obj.fuzzyKeys, obj.keys.variant);
    return { valid: true, received: obj.groups[obj.keys.variant] };
  }
  // Skip because we can't determine a variant exists
  return { skip: true };
};

module.exports = validateVariant;
